<?php




namespace WpieApp\Core\Helpers;

use WpieApp\Providers\JsonManager;

defined( 'WPIE__FILE__' ) || exit;


trait Plugin {

        
        public static function isValidRequest() {

                // Nothing to do if WordPress is in "installation" mode..
                if ( \wp_installing() ) {
                        return false;
                }

                // Nothing to do if autosave.
                if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
                        return false;
                }

                // Nothing to do if Other Ajax Request.
                if ( !Helper::isValidAjaxRequest() ) {
                        return false;
                }

                return true;
        }

        
        public static function addJsonData( $key = "", $val = "" ) {

                return JsonManager::addData( $key, $val );
        }

}
