<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields as TaxonomyFields;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields\Parents;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields\Image;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends TaxonomyFields {

        
        protected static function getData() {

                return [
                        "standard" => Standard::get(),
                        "parents"  => Parents::get(),
                        "image"    => Image::get(),
                        "meta"     => Meta::get(),
                ];
        }

}
