<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund;

use WpieApp\Core\Utils\User;
use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class RefundData {

        
        public static function get( $element, $refund ) {

                $data = '';

                switch ( $element ) {

                        case 'amount':
                                $data = $refund->get_amount();
                                break;
                        case 'reason':
                                $data = $refund->get_reason();
                                break;
                        case 'date':
                                $data = $refund->get_date_created();
                                break;
                        case 'author_email':
                                $data = User::getEmail( $refund->get_refunded_by() );
                                break;
                        case 'meta':
                                //   $data = $refund->get_all_formatted_meta_data();
                                break;
                }


                return $data;
        }

}
