<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use Automattic\WooCommerce\Internal\DataStores\Orders\OrdersTableDataStore;

defined( 'WPIE__FILE__' ) || exit;


class Addresses {

        
        private static $alias = '';

        
        public static function getTableAlias() {

                if ( !Helper::isNonEmptyStr( self::$alias ) ) {
                        self::$alias = Helper::randStr( 'addresses' );
                }

                return self::$alias;
        }

        
        public static function getTable() {

                return OrdersTableDataStore::get_addresses_table_name();
        }

        
        public static function getJoin() {

                return "LEFT JOIN " . self::getTable() . " AS " . self::getTableAlias() . " ON (" . Order::getTableAlias() . ".`id` = " . self::getTableAlias() . ".`order_id`)";
        }

}
