<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy\Fields\Wpml;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Attribute\Engine as Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function get( $fields = [], $contentType = '' ) {

                if ( !self::isAttributeTranslatable() ) {
                        return $fields;
                }

                $fields[ "wpml" ] = Wpml::get();

                return $fields;
        }

        
        public static function isAttributeTranslatable() {

                if ( !Attribute::isAttribute() ) {
                        return true;
                }

                if ( !Attribute::isTranslatable() ) {
                        return true;
                }

                return false;
        }
}
