<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class Myspace
{

    
    public static function getBlocks ()
    {

        return [
                "title"  => __( 'Myspace URL' , 'wp-import-export' ) ,
                "desc"   => __( 'SEO Myspace URL' , 'wp-import-export' ) ,
                "order"  => 55 ,
                "fields" => [
                        "myspace_url" => [
                                "order"      => 5 ,
                                "label"      => __( 'Myspace URL' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "myspace_url" => [
                                                "description" => __( "SEO Myspace URL" , 'wp-import-export' ) ,
                                                "name"        => "fields/allinoneseo/social/myspace_url/data" ,
                                                "type"        => "textarea" ,
                                                "hint"        => [
                                                        [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                ]
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
