<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Code {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Code', 'wp-import-export' ),
                        "desc"          => __( 'Coupon Code', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "code" => [
                                        "order"      => 10,
                                        "label"      => __( 'Coupon Code', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "code" => [
                                                        "description" => __( "Coupon Code", 'wp-import-export' ),
                                                        "name"        => "fields/standard/title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => __( 'Recommended', 'wp-import-export' ),
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
