<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class DiscountType {

        
        public static function getBlocks() {

                $types = \wc_get_coupon_types();

                $types[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"         => __( 'Discount Type', 'wp-import-export' ),
                        "desc"          => __( 'Discount Type', 'wp-import-export' ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "discount-type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Discount Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "discount-type" => [
                                                        "description" => __( "Discount Type", 'wp-import-export' ),
                                                        "name"        => "fields/standard/discount-type/data",
                                                        "type"        => "radio",
                                                        "default"     => "",
                                                        "choices"     => $types,
                                                        "hints"       => [
                                                                "as_specified" => __( 'Custom type specified by you', 'wp-import-export' ),
                                                        ],
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                        ],
                                                        "fields"      => [
                                                                "as_specified" => [
                                                                        "discount-type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above types are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/standard/discount-type/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "text",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
