<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Manager as PostManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends PostManager {

        
        public static function getFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/WooCommerce/Coupon/Init/Fields', $type );

                return Fields::get();
        }

        
        public static function initEngine() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/WooCommerce/Coupon/Init/Engine', $type );

                return Engine::init();
        }

        
        public static function getExistingItemsFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/WooCommerce/Coupon/Init/ExistingItemsFields', $type );

                return ExistingItemsFields::get();
        }

        
        public static function getAutoLoadFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/WooCommerce/Coupon/Init/AutoLoadFields', $type );

                return AutoDetect::get();
        }

}
