<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Method {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Shipping Method', 'wp-import-export' ),
                        "desc"          => __( 'Shipping Method', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "method" => [
                                        "order"      => 5,
                                        "label"      => __( 'Shipping Method', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "method"    => [
                                                        "description" => __( 'Shipping Method', 'wp-import-export' ),
                                                        "name"        => "fields/shipping-method/method/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple shipping Method separated by', 'wp-import-export' ),
                                                        "name"        => "fields/shipping-method/method/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
