<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class DateCompleted {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Date Completed', 'wp-import-export' ),
                        "desc"          => __( 'Date Completed', 'wp-import-export' ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "date-completed" => [
                                        "order"      => 5,
                                        "label"      => __( 'Date Completed', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "date-completed" => [
                                                        "description" => __( 'Only for Completed Orders', 'wp-import-export' ),
                                                        "name"          => "fields/standard/date-completed/data",
                                                        "class"         => "wpie-field-content-option",
                                                        "order"         => 5,
                                                        "type"          => "radio",
                                                        "default"       => "now",
                                                        "choices"       => [
                                                                "now"          => "Now",
                                                                "as_specified" => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hints"         => [
                                                                "now"          => __( 'Current server date', 'wp-import-export' ),
                                                                "as_specified" => __( 'Custom Date specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "now"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "date-as-specified" => [
                                                                                "order"      => 5,
//										"label"		 => __( 'Remove Images', 'wp-import-export' ),
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Date format are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/standard/date-completed/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "text",
                                                                                                "hint"        => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'All date formats are supported.', 'wp-import-export' ) ]
                                                                                                ]
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                        "hint"          => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
