<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Term;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Fields\Multilingual;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Attribute\Engine as Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {

                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {

                if ( !Attribute::isAttribute() || Attribute::isTranslatable() ) {
                        $fields[ "wpml" ] = Multilingual::get();
                }

                return $fields;
        }
}
