<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class RelatedKeyphrases {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Related keyphrases', 'wp-import-export' ),
                        "desc"   => __( 'Related keyphrases', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "focuskeywords" => [
                                        "order"      => 5,
                                        "label"      => __( 'Related keyphrases', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "focuskeywords" => [
                                                        "description" => __( "SEO Related keyphrases", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/general/relatedkeyphrases/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'supports comma separated values. example keyword1,keyword2 etc.', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'supports exported value from same plugin', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
