<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\News;

defined( 'WPIE__FILE__' ) || exit;


class ExcludesGoogleNews {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Exclude this post from Google News', 'wp-import-export' ),
                        "desc"   => __( 'Exclude this post from Google News', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields" => [
                                "excludes_google_news" => [
                                        "order"      => 5,
                                        "label"      => __( 'Exclude this post from Google News', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "excludes_google_news" => [
                                                        "description" => __( "Exclude this post from Google News", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/news/excludes_google_news/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( '0, 1, yes, no, true, false, on, off values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
