<?php




namespace WpieApp\Modules\Base\Controller;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Ajax {

        
        public static function saveSettings() {

                $settings = Helper::_post( 'settings' );

                Settings::load( $settings );

                $isSaved = Settings::save();

                is_wp_error( $isSaved ) ? Helper::ajaxError( $isSaved->get_error_message() ) : Helper::ajaxSuccess( $isSaved );
        }

        
        public static function getSettingList() {

                $settings = Helper::_post( 'settings' );

                Settings::load( $settings );

                Helper::ajaxSuccess( Settings::getList() );
        }

}
