<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Controller\Items\Base\Filters\Base;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filters\Standard;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filters\Meta;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filters\Parents;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends Base {

        
        protected static function addRule() {

                switch ( self::getOption( "type", "field" ) ) {

                        case 'standard':
                                Standard::addRule();
                                break;
                        case 'parents':
                                Parents::addRule();
                                break;
                        case 'meta':
                                Meta::addRule();
                                break;
                }

                
                \do_action( 'Wpie/Export/Taxonomy/Filter/Add', self::getOption( "type", "field" ) );
        }

}
