<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Engine;

use GuzzleHttp\Psr7\Utils;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

	
	public static function download( $uri ) {

		$uri = Utils::uriFor( $uri );

		$file = Wp::download( $uri );

		if ( \is_wp_error( $file ) ) {
			return GuzzleHttp::download( $uri );
		}

		return $file;
	}

}
