<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Meta;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

	
	public static function getBlocks() {

		return [
			"title"		 => __( 'Meta Fields', 'wp-import-export' ),
			"desc"		 => __( 'Meta Fields', 'wp-import-export' ),
			"order"		 => 10,
			"uid"		 => Helper::randStr( "wpie-field-" ),
			"isActive"	 => true,
			"fields"	 => [
				"meta-container" => [
					"order"		 => 5,
					"label"		 => __( 'Meta', 'wp-import-export' ),
					"sub-fields"	 => [
						"container" => [
							"field-class"	 => "wpie-meta-container",
							"type"		 => "blank",
							"order"		 => 5,
						]
					],
				],
//				"submit-button"	 => [
//					"order"		 => 120,
//					"sub-fields"	 => [
//						[
//							"type"		 => "button",
//							"order"		 => 5,
//							"label"		 => __( 'Add Meta', 'wp-import-export' ),
//							"icon-class"	 => "fa-solid fa-plus",
//							"class"		 => "wpie-add-meta-btn btn-primary"
//						],
//					]
//				],
			]
		];
	}

}
