<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Ip {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Ip Address', 'wp-import-export' ),
                        "desc"   => __( 'Ip Address', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "ip" => [
                                        "order"      => 10,
                                        "label"      => __( 'Ip Address', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "ip" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'The IP address of the %s author', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/author/ip/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
