<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class Password {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Password', 'wp-import-export' ),
                        "desc"   => __( 'Post password', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "item-password" => [
                                        "order"      => 5,
                                        "label"      => __( 'Post Password', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "post_password" => [
                                                        "description" => __( 'Post password', 'wp-import-export' ),
                                                        "name"        => "fields/standard/post_password/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
