<?php



namespace WpieApp\Modules\Import\View;

use WpieApp\Modules\Import\View\FileSetup\Manager as FileSetup;
use WpieApp\Modules\Import\View\FileSettings\Manager as FileSettings;
use WpieApp\Modules\Import\View\ContentSetup\Manager as ContentSetup;
use WpieApp\Modules\Import\View\FieldMapping\Manager as FieldMapping;
use WpieApp\Modules\Import\View\HandleItems\Manager as HandleItems;
use WpieApp\Modules\Import\View\Schedule\Manager as Schedule;
use WpieApp\Modules\Import\View\ImportingData\Manager as ImportingData;

defined( 'WPIE__FILE__' ) || exit;


class Content {

        
        public static function get() {


                
                return \apply_filters(
                        'Wpie/Modules/Import/View/Content',
                        [
                                "file-setup"     => FileSetup::get(),
                                "file-settings"  => FileSettings::get(),
                                "content-setup"  => ContentSetup::get(),
                                "field-mapping"  => FieldMapping::get(),
                                "handle-items"   => HandleItems::get(),
                                "schedule"       => Schedule::get(),
                                "importing-data" => ImportingData::get(),
                        ]
                );
        }

}
