<?php



namespace WpieApp\Modules\Schedules\View\Schedules;

defined( 'WPIE__FILE__' ) || exit;


class Setup {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Schedules/View/Setup',
                        [
                                "title"  => __( 'Setup Instructions', 'wp-import-export' ),
                                "order"  => 10,
                                "desc"   => __( 'Setup Instructions', 'wp-import-export' ),
                                "fields" => [
                                        "schedule-setup" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "schedule-setup" => [
                                                                'bg-class'            => "bg-white",
                                                                "type"                => "schedule-setup",
                                                                "order"               => 10,
                                                                "apply-default-class" => false,
                                                                "bg-class"            => "bg-white",
                                                                "outer-class"         => "m-0 p-0",
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
