<?php

// @codingStandardsIgnoreLine
/**
 * Woo Import Export Plugin.
 *
 * @package      Woo_Import_Export
 * @copyright    Copyright (C) 2024, VJinfotech - support@vjinfotech.com
 * @link         http://www.vjinfotech.com
 * @since        6.0.0
 *
 * @wordpress-plugin
 * Plugin Name:       Woo Import Export
 * Version:           6.0.14
 * Plugin URI:        https://codecanyon.net/item/woo-import-export/13694764
 * Description:       Complete solution of importing and exporting data for WooCommerce.
 * Author:            VJinfotech
 * Author URI:        https://www.vjinfotech.com
 * Text Domain:       wp-import-export
 * Domain Path:       /languages
 */
defined( 'ABSPATH' ) || exit;

if ( defined( 'WPIE__FILE__' ) ) {
        return;
}

define( 'WPIE__FILE__', __FILE__ );

if ( !defined( 'WPIE_VENDOR_PHP_VERSION' ) ) {
        define( 'WPIE_VENDOR_PHP_VERSION', '8.0' );
}

if ( version_compare( phpversion(), WPIE_VENDOR_PHP_VERSION, '<' ) ) {
        require_once __DIR__ . '/vendor-legacy/autoloader/autoload.php';
} else {
        require_once __DIR__ . '/vendor/autoloader/autoload.php';
}

new \WpieApp\Providers\Bootstrap();
