<?php





namespace WpieApp\Core\Utils;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class User {

        
        private static $emails = [];

        
        public static function getEmail( $userId = "" ) {

                if ( !is_numeric( $userId ) || Helper::toInt( $userId ) <= 0 ) {
                        return "";
                }

                $email = "";

                if ( isset( self::$emails[ $userId ] ) ) {
                        return self::$emails[ $userId ];
                }

                $user = \get_user_by( 'id', Helper::toInt( $userId ) );

                if ( $user && isset( $user->user_email ) ) {
                        $email = $user->user_email;
                }

                if ( count( self::$emails ) > 50 ) {
                        array_shift( self::$emails );
                }

                self::$emails[ $userId ] = $email;

                unset( $user );

                return $email;
        }

}
