<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class FocusKeyphrase {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Focus Keyphrase', 'wp-import-export' ),
                        "desc"   => __( 'SEO Focus Keyphrase', 'wp-import-export' ),
                        "order"  => 35,
                        "fields" => [
                                "keyphrases" => [
                                        "order"      => 5,
                                        "label"      => __( 'Focus Keyphrase', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "keyphrases" => [
                                                        "description" => __( "SEO Focus Keyphrase", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/general/keyphrases/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Due to the nature of data and complexity of data, only exported data supported from the same plugin', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
