<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Schema\Type;

defined( 'WPIE__FILE__' ) || exit;


class Schema implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'RankMath SEO - Schema', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-schema-fields",
                        "order"        => 32.2,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "rankmathseo/schema/schema" => Type::getBlocks(),
                ];
        }
}
