<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines\General as Base;

defined( 'WPIE__FILE__' ) || exit;


class General extends Base {

        
        public static function get() {

                $data = parent::get();

                if ( DataCenter::canUpdate( 'rankmathseo/general/pillar_content' ) ) {
                        $data[ "pillar_content" ] = Helper::detectBoolVal( DataCenter::get( "rankmathseo/general/pillar_content/data" ) ) !== false ? 'on' : 'off';
                }

                return $data;
        }
}
