<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Slug {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Slug', 'wp-import-export' ),
                        "desc"   => __( 'Attribute Slug', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "order" => [
                                        "order"      => 10,
                                        "label"      => __( 'Attribute Slug', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "order" => [
                                                        "description" => __( "Attribute slug", 'wp-import-export' ),
                                                        "name"        => "fields/attribute/slug/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Leave empty for auto generate', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
