<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\Fields as TermFields;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Image;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends TermFields {

        
        public static function getFields() {

                return array_replace(
                        parent::getFields(),
                        [
                                "standard" => Standard::get(),
                                "image"    => Image::get()
                        ]
                );
        }

}
