<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits;

defined( 'WPIE__FILE__' ) || exit;


class UsageLimitPerUser {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Usage limit per user', 'wp-import-export' ),
                        "desc"   => __( 'Usage limit per user', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "usage_limit_per_user" => [
                                        "order"      => 10,
                                        "label"      => __( 'Usage limit per user', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "usage_limit_per_user" => [
                                                        "description" => __( "Set the amount of times this coupon can be used per user.", 'wp-import-export' ),
                                                        "name"        => "fields/usage_limit/usage_limit_per_user/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
