<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class IndividualUse {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Individual use only', 'wp-import-export' ),
                        "desc"   => __( 'Individual use only', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "individual_use" => [
                                        "order"      => 10,
                                        "label"      => __( 'Individual use only', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "individual_use" => [
                                                        "description" => __( "Individual use only", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/individual_use/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
