<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Meta as BaseMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Meta', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return BaseMeta::get( [ "order" => 150 ] );
        }
}
