<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class SKU {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'SKU', 'wp-import-export' ),
                        "desc"   => __( 'SKU', 'wp-import-export' ),
                        "order"  => 80,
                        "fields" => [
                                "sku" => [
                                        "order"      => 5,
                                        "label"      => __( 'Product SKU', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "sku"       => [
                                                        "description" => __( 'Product SKU', 'wp-import-export' ),
                                                        "name"        => "fields/product/sku/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple products SKUs separated by', 'wp-import-export' ),
                                                        "name"        => "fields/product/sku/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
