<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class RefundBy {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Refund By', 'wp-import-export' ),
                        "desc"          => __( 'Refund By', 'wp-import-export' ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "refund-by" => [
                                        "order"      => 5,
                                        "label"      => __( 'Refund By', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "refund-by" => [
                                                        "description" => __( 'Refund issue By', 'wp-import-export' ),
                                                        "name"        => "fields/refund/refund-by/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'User Email or username or login', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple refund refund issuer separated by', 'wp-import-export' ),
                                                        "name"        => "fields/refund/refund-by/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : |', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
