<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Variations\AllVariations;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Variable\Log;

defined( 'WPIE__FILE__' ) || exit;


class Variable {

        
        public static function update() {

                if ( !Product::getProduct()->is_type( 'variable' ) ) {
                        return;
                }

                $method = DataCenter::get( "variation/method/option" );

                switch ( $method ) {
                        case 'attribute';
                                AllVariations::create();
                                break;
                        case 'child-group';
                                if ( !Product::getProduct()->has_child() ) {
                                        AllVariations::create();
                                }
                                break;
                }

                Log::add();
        }

}
