<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class PurchaseNote {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Purchase Note', 'wp-import-export' ),
                        "desc"     => __( 'Product Purchase Note', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "purchase-note" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Purchase Note', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "purchase-note" => [
                                                        "description" => __( 'Product Purchase Note', 'wp-import-export' ),
                                                        "name"        => "fields/advanced/purchase-note/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
