<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Social {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/social/facebook_title' ) ) {
                        $data[ 'opengraph-title' ] = DataCenter::get( "yoastseo/social/facebook_title/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/social/facebook_description' ) ) {
                        $data[ 'opengraph-description' ] = DataCenter::get( "yoastseo/social/facebook_description/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/social/facebook_image' ) ) {
                        $data[ 'opengraph-image' ] = DataCenter::get( "yoastseo/social/facebook_image/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/social/twitter_title' ) ) {
                        $data[ 'twitter-title' ] = DataCenter::get( "yoastseo/social/twitter_title/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/social/twitter_description' ) ) {
                        $data[ 'twitter-description' ] = DataCenter::get( "yoastseo/social/twitter_description/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/social/twitter_image' ) ) {
                        $data[ 'twitter-image' ] = DataCenter::get( "yoastseo/social/twitter_image/data" );
                }

                return $data;
        }
}
