<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post;

use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\News;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {

                \add_filter( 'Wpie/Import/Post/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {

                $fields[ "yoastseo-general" ] = General::get();

                $fields[ "yoastseo-social" ] = Social::get();

                $fields[ "yoastseo-advanced" ] = Advanced::get();

                $fields[ "yoastseo-schema" ] = Schema::get();

                $fields[ "yoastseo-news" ] = News::get();

                $fields[ "yoastseo-video" ] = Video::get();

                return $fields;
        }
}
