<?php



namespace WpieApp\Modules\Import\Controller\ContentType;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function detect() {

                
                $autoDetect = \apply_filters( 'Wpie/Import/ContentType/AutoDetect', false );

                if ( $autoDetect ) {
                        return true;
                }
                if ( Post::detect() ) {
                        return true;
                }
                if ( User::detect() ) {
                        return true;
                }
                if ( Comment::detect() ) {
                        return true;
                }
                if ( Term::detect() ) {
                        return true;
                }

                return self::findByFilename();
        }

        
        public static function findByFilename() {

                if ( User::setByFilename() ) {
                        return true;
                }
                if ( Comment::setByFilename() ) {
                        return true;
                }
                if ( Post::setByFilename() ) {
                        return true;
                }
                if ( Term::setByFilename() ) {
                        return true;
                }
                return false;
        }

}
