<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\AutoDetect;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Record as FileRecord;
use WpieApp\Modules\Import\Controller\File\Records\Xml;

defined( 'WPIE__FILE__' ) || exit;


class Record {

        
        public static function getLabels() {

                $records = FileRecord::get( "getLabels" );

                if ( "xml" !== Settings::getFileFormat() ) {
                        return $records;
                }

                $prefix = Xml::getFilterRoot() . '/';

                $labels = [];

                foreach ( array_keys( $records ) as $item ) {
                        if ( strpos( $item, $prefix ) === 0 ) {
                                $labels[] = substr( $item, strlen( $prefix ) );
                        }
                }

                return $labels;
        }
}
