<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Name {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Name', 'wp-import-export' ),
                        "desc"          => __( 'Name', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "name" => [
                                        "order"      => 10,
                                        "label"      => __( 'Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "name" => [
                                                         /* translators: %s: content type */
                                                        "description" => sprintf( __( 'The name of the author of the %s', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/author/name/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
