<?php



namespace WpieApp\Modules\Import\Controller\Items\Term;

use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateParent( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'name'        => 'name',
                        'slug'        => 'slug',
                        'description' => 'description',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateParent( $field = "" ) {

                $fields = [
                        'parentname' => 'name',
                        'parentslug' => 'slug',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::updateField( 'parent/' . $fields[ $field ] . '/data', $field );

                static::updateList( 'parent/item' );
        }
}
