<?php



namespace WpieApp\Modules\Import\View\Schedule;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/Schedule',
                        [
                                "class"             => "wpie-schedule-import-wrapper d-none",
                                "groupClass"        => "wpie-schedule-import",
                                "order"             => 10,
                                "menuWrapperClass"  => "d-none",
                                "notes"             => self::getNotes(),
                                "blockWrapperClass" => "col-12 shadow-sm bg-white",
                                "blocks"            => [
                                        "schedule" => Schedule::getBlocks(),
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/Schedule/Notes',
                        [
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => 'me-3',
                                        "text"       => __( 'Skip this step when performing a regular import', 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
